import { describe, expect, test } from 'vitest'
import { expired } from '@/security'
import { jwtExpired, jwtNotExpired } from '~/general.fixtures'

describe('expired', () => {
  test('should return true if the token is undefined', () => {
    expect(expired('')).toBe(true)
  })

  test('should return true if the token is expired', () => {
    const token =jwtExpired
    expect(expired(token)).toBe(true)
  })

  test('should return false if the token is not expired', () => {
    const token = jwtNotExpired
    expect(expired(token)).toBe(false)
  })
})
