import { afterEach, beforeEach, describe, expect, test } from 'vitest'
import { resetLocation, serverCAS, spyLocation } from '~/general.fixtures'
import { logout } from '@/security'

const location = { ...window.location }

describe('logout', () => {
  beforeEach(() => {
    spyLocation()
  })

  afterEach(() => {
    resetLocation({ ...location })
  })

  test('if the serverCAS is not defined, should thow an error', () => {
    expect(() => logout('')).toThrowError('You must provide the CAS Server URL.')
  })
  test('should redirect to the logout URL', () => {
    logout(serverCAS)

    expect(window.location.replace).toBeCalledWith(serverCAS + '/cas/logout')
  })
})
