import { vi } from 'vitest'
import { sign } from 'jsonwebtoken'

export const spyLocation = () => {
  //@ts-ignore
  delete window.location
  //@ts-ignore
  window.location = {
    assign: vi.fn(),
    replace: vi.fn(),
    reload: vi.fn(),
    href: '',
    toString: vi.fn(),
    origin: '',
    protocol: '',
    host: '',
    hostname: '',
    port: '',
    pathname: '',
    search: '',
    hash: '',
  }
}

export const resetLocation = (location: typeof window.location) => {
  //@ts-ignore
  delete window.location
  window.location = { ...location }
}

export const serverCAS = 'https://cas-server.local'
export const jwtServerUrl = 'https://jwt-server.local'

export const jwtExpired = sign({ exp: Math.trunc(Date.now() / 1000) - 1000 }, 'secret')
export const jwtNotExpired = sign({ exp: Math.trunc(Date.now() / 1000) + 1000 }, 'secret')
