import { fileURLToPath, URL } from 'node:url'
import { defineConfig } from 'vitest/config'

import { resolve } from 'node:path'

// https://vitejs.dev/config/
export default defineConfig({
  resolve: {
    alias: {
      '@': fileURLToPath(new URL('./src', import.meta.url)),
      '#': fileURLToPath(new URL('./types', import.meta.url)),
      '~': fileURLToPath(new URL('./tests', import.meta.url)),
    },
  },
  test: {
    coverage: {
      provider: 'c8'
    },
  },
  build: {
    commonjsOptions: {
      esmExternals: true,
    },
    lib: {
      entry: resolve(__dirname, 'index.ts'),
      name: 'Cas-authentication',
      fileName: 'cas-authentication',
    },
  },
})
